function onBegin()
	player.ForceCameraUpdate = true
        wait (2.75)
	disableMovement()
        wait (0.2)
        walk (-25,false,0.8)
        wait (0.25)
        walk (80,false,0.8)
	jump (2.0)
        walk (60,false,0.8)
	say ("moonruins_intro")
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end